%define pkg_name        IMDB-Film
%define pkg_version     0.30
%define rpm_pkg_version 0.30
%define rpm_pkg_release 1.n0i.5

Summary:       OO Perl interface to the movies database IMDB
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/S/ST/STEPANOV/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Cache::FileCache)
BuildRequires: perl(Carp)
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(Error)
BuildRequires: perl(HTML::TokeParser) >= 2.28
BuildRequires: perl(LWP::Simple) >= 1.41


%description
IMDB::Film is an object-oriented interface to the IMDB. You can use that
module to retrieve information about film: title, year, plot etc.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc ChangeLog LICENSE README Todo


%changelog
* Thu Sep 13 2007 Marius Feraru <altblue@n0i.net> - 0.30-1.n0i.5
- version 0.30

* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 0.29-1.n0i.4
- version 0.29

* Mon Jun 11 2007 Marius Feraru <altblue@n0i.net> - 0.28-1.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 0.28

* Thu May 18 2006 Marius Feraru <altblue@n0i.net> - 0.21-1.n0i.2
- version 0.21

* Mon Apr 10 2006 Marius Feraru <altblue@n0i.net> 0.20-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
